# Lösen von Job Shop Scheduling Problemen mit Simulated Annealing

## Tooling

- Python 3.6
- [MyPy](http://www.mypy-lang.org/ ) für statische Typchecks
- [Pandoc](https://pandoc.org/ ) für die Dokumentation
- Python Module: siehe [requirements.txt](https://pip.pypa.io/en/latest/user_guide/#requirements-files )

Zur einfachen Entwicklung wird die Verwendung eines [venv](https://docs.python.org/3/library/venv.html ) empfohlen, bevorzugter Name: *pyenv*  
Erstellung + Installation aller benötigten Module:

```bash
$ python -m venv pyenv
$ ./pyenv/bin/pip install -r requirements.txt
```

